mtext_ftime(3m17n)

NAME
mtext_ftime - Format date and time.

SYNOPSIS
int mtext_ftime (MText * mt, const char * format, const struct tm * tm, MLocale * locale)

DESCRIPTION
Format date and time.

The mtext_ftime() function formats the broken-down time tm according to the format specification format and append the result to the M-text mt. The formating is done according to the locale locale (if not NULL) or the current locale (LC_TIME).

The meaning of the arguments tm and format are the same as those of strftime().

SEE ALSO

    strftime().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.